org.deidentifier.arx.common

## Class FastIntDoubleMap

- java.lang.Object
- - org.deidentifier.arx.common.FastIntDoubleMap

    public class FastIntDoubleMap
    extends java.lang.Object

A very basic map using golden ratio hashing and linear probing.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`FastIntDoubleMap(int size)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `get(int key, double _default)` Returns the associated value, default if not found
`void` `put(int key, double value)` Puts a value into this map

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FastIntDoubleMap

    public FastIntDoubleMap(int size)

Creates a new instance

Parameters:
  `size` -

### Method Detail

#### put

    public void put(int key,
                    double value)

Puts a value into this map

Parameters:
  `key` -
  `value` -

#### get

    public double get(int key,
                      double _default)

Returns the associated value, default if not found

Parameters:
  `key` -
  `_default` -
Returns: